Bug 303435 - QML Restart dialog draws the moon a little bit outside.
Summary: QML Restart dialog draws the moon a little bit outside.
Status: RESOLVED FIXED
Alias: None
Product: ksmserver
Classification: Unclassified
Component: ui (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Lubos Lunak
URL:
Keywords: regression, reproducible
Depends on:
Blocks:
 
Reported: 2012-07-12 19:40 UTC by Mark
Modified: 2012-08-14 01:53 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 4.9.1


Attachments
moon on the restart dialog is slightly wrong (97.38 KB, image/png)
2012-07-12 19:41 UTC, Mark
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark 2012-07-12 19:40:48 UTC
See the attached screenshot.

Either the moon should be "clipped" to not draw outside the dialog borders or the moon should scale down to fit in. I'm guessing the first option is the way it was done in the C++ version as well.

Reproducible: Always




KDE 4.9 RC 2 (also observed in RC 1)
Comment 1 Mark 2012-07-12 19:41:49 UTC
Created attachment 72485 [details]
moon on the restart dialog is slightly wrong
Comment 2 Lamarque V. Souza 2012-08-14 01:53:21 UTC
Git commit 2d6e7510348e9539c23935e625ffe1ccd331545f by Lamarque V. Souza.
Committed on 14/08/2012 at 03:48.
Pushed by lvsouza into branch 'master'.

Show the whole picture in shutdown dialog.
FIXED-IN: 4.9.1

M  +5    -2    ksmserver/themes/default/main.qml

http://commits.kde.org/kde-workspace/2d6e7510348e9539c23935e625ffe1ccd331545f